REM
REM **********************************************************************
REM Filename:	add_synonyms.sql 
REM Author:	Darryl Smith - Active Database Solutions, Inc.
REM Date:	1/31/94
REM
REM Description:
REM	This script generates the sql statements to add synonyms. 
REM
REM
REM Comments:
REM	The input variable is the owner of the schema.  The output file
REM is add_syns.lst
REM **********************************************************************
REM
REM
@schema_start
spool &lst_dir./&Schema_Owner._add_synonyms.lst
select 'REM' from dual;
select 'REM' from dual;
select 'REM Creating all Synonyms section' from Dual;
select 'REM' from dual;
select 'Create'||decode(owner, 'PUBLIC', ' Public', NULL)||
	' Synonym '||synonym_name||' for '||table_owner||'.'||table_name||';' 
from sys.dba_synonyms
where table_owner = upper('&schema_owner');
select 'REM' from dual;
select 'Exit;' from dual;
spool off;
exit;
