REM
REM **********************************************************************
REM Filename:	drop_tables.sql 
REM Author:	Darryl Smith - Active Database Solutions, Inc.
REM Date:	1/31/94
REM
REM Description:
REM	This script generates the sql statements to drop all of   
REM tables in the database.
REM
REM Comments:
REM	The input variable is the owner of the schema.  The output file
REM is drop_tables.lst
REM **********************************************************************
REM
REM
@schema_start
spool &lst_dir./&Schema_Owner._drop_tables.lst
select 'REM' from dual;
select 'REM' from dual;
select 'REM Dropping all Tables Section' from Dual;
select 'REM' from dual;
select 'Drop Table '||table_name||';' 
from all_tables
where owner = upper('&schema_owner');
select 'REM' from dual;
select 'Exit;' from dual;
spool off;
exit;
